<section class="section">
  <div class="section-header">
    <h1><%= typeof data !== 'undefined' ? "Edit" : "Add" %> Room Sub Category</h1>
  </div>
  <form method="post" action="<%= typeof data !== 'undefined' ? '/admin/edit_room_sub_category' : '/admin/add_room_sub_category' %>">
    <div class="card-body bg-white rounded-4 shadow">
      <div class="form-group">
        <label>Category</label>
        <select name="catId" class="form-control selectric" id="categorySelect" required>
          <option value="">Select Category</option>
          <% category.forEach((catData) => { %>
            <option value="<%= catData.id %>" <%= typeof data !== 'undefined' && catData.id == data.roomCat?.id ? 'selected' : '' %>><%= catData.name %></option>
          <% }); %>
        </select>
      </div>
      
      <!-- <div class="form-group">
        <label>Room Category</label>
        <select name="roomCat" class="form-control selectric" id="roomCategorySelect">
          <% roomCats.forEach((roomCatData) => { %>
            <option value="<%= roomCatData.id %>" data-catid="<%= roomCatData.catId %>" <%= typeof data !== 'undefined' && roomCatData.id == data.roomCat?.id ? 'selected' : '' %>><%= roomCatData.name %></option>
          <% }); %>
        </select>
      </div> -->
      <div class="form-group">
        <label>Room Category</label>
        <select name="roomCat" class="form-control selectric" id="roomCategorySelect" data-roomcats="<%= JSON.stringify(roomCats) %>" required>
        </select>
      </div>
      
      
      <div class="form-group">
        <label>Name</label>
        <input type="text" name="name" value="<%= typeof data !== 'undefined' ? data.name : '' %>" class="form-control noSpace" required />
        <input type="hidden" name="id" value="<%= typeof data !== 'undefined' ? data.id : '' %>" />
      </div>
      <button class="btn btn-primary">Submit</button>
    </div>
  </form>
</section>


<script>
  const categorySelect = document.getElementById("categorySelect");
  const roomCategorySelect = document.getElementById("roomCategorySelect");

  categorySelect.addEventListener("change", () => {
    const selectedCategoryId = categorySelect.value;
    const roomCatsData = JSON.parse(roomCategorySelect.getAttribute("data-roomcats"));

    // Clear previous options
    roomCategorySelect.innerHTML = '';

    // Filter roomCats based on selected category
    const filteredRoomCats = roomCatsData.filter(roomCat => roomCat.catId == selectedCategoryId);

    // Add filtered room categories to dropdown
    filteredRoomCats.forEach(roomCatData => {
      const option = document.createElement("option");
      option.value = roomCatData.id;
      option.textContent = roomCatData.name;
      roomCategorySelect.appendChild(option);
    });
  });
</script>



